hpp-core: hpp::core::steeringMethod::CarLike Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::core::steeringMethod::CarLike Class Reference
Steering method and distance functions

`#include <hpp/core/steering-method/car-like.hh>`

Inheritance diagram for hpp::core::steeringMethod::CarLike:
[legend]
Collaboration diagram for hpp::core::steeringMethod::CarLike:
[legend]

## Public Member Functions
virtual | ~CarLike ()
void | setWheelJoints (const std::vector< JointPtr_t > wheels)
| Set the wheels.
void | turningRadius (const value_type &rho)
value_type | turningRadius () const
Public Member Functions inherited from hpp::core::SteeringMethod
PathPtr_t | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
virtual | ~SteeringMethod ()
virtual SteeringMethodPtr_t | copy () const =0
| Copy instance and return shared pointer.
ProblemConstPtr_t | problem () const
void | constraints (const ConstraintSetPtr_t &constraints)
| Set constraint set.
const ConstraintSetPtr_t & | constraints () const
| Get constraint set.

## Protected Member Functions
| CarLike (const ProblemConstPtr_t &problem)
| Constructor.
| CarLike (const ProblemConstPtr_t &problem, const value_type turningRadius, JointPtr_t xyJoint, JointPtr_t rzJoint, std::vector< JointPtr_t > wheels)
| Constructor.
| CarLike (const CarLike &other)
| Copy constructor.
void | init (CarLikeWkPtr_t weak)
| Store weak pointer to itself.
Protected Member Functions inherited from hpp::core::SteeringMethod
| SteeringMethod (const ProblemConstPtr_t &problem)
| Constructor.
| SteeringMethod (const SteeringMethod &other)
virtual PathPtr_t | impl_compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const =0
| create a path between two configurations
void | init (SteeringMethodWkPtr_t weak)
| Store weak pointer to itself.

## Protected Attributes
DeviceWkPtr_t | device_
value_type | rho_
| Turning radius.
JointPtr_t | xy_
JointPtr_t | rz_
size_type | xyId_
size_type | rzId_
std::vector< JointPtr_t > | wheels_

## Detailed Description

Abstract class that implements various type of trajectories for carlike vehicles

## Constructor & Destructor Documentation

## ◆ ~CarLike()

virtual hpp::core::steeringMethod::CarLike::~CarLike | ( |  | ) |
| inlinevirtual

## ◆ CarLike() [1/3]

hpp::core::steeringMethod::CarLike::CarLike | ( | const ProblemConstPtr_t & | problem | ) |
| protected

Constructor.

## ◆ CarLike() [2/3]

hpp::core::steeringMethod::CarLike::CarLike | ( | const ProblemConstPtr_t & | problem,
|  | const value_type | turningRadius,
|  | JointPtr_t | xyJoint,
|  | JointPtr_t | rzJoint,
|  | std::vector< JointPtr_t > | wheels
| ) |  |
| protected

Constructor.

## ◆ CarLike() [3/3]

hpp::core::steeringMethod::CarLike::CarLike | ( | const CarLike & | other | ) |
| protected

Copy constructor.

## Member Function Documentation

## ◆ init()

void hpp::core::steeringMethod::CarLike::init | ( | CarLikeWkPtr_t | weak | ) |
| inlineprotected

Store weak pointer to itself.

## ◆ setWheelJoints()

void hpp::core::steeringMethod::CarLike::setWheelJoints | ( | const std::vector< JointPtr_t > | wheels | ) |
| inline

Set the wheels.

## ◆ turningRadius() [1/2]

value_type hpp::core::steeringMethod::CarLike::turningRadius | ( |  | ) | const
| inline

## ◆ turningRadius() [2/2]

void hpp::core::steeringMethod::CarLike::turningRadius | ( | const value_type & | rho | ) |

## Member Data Documentation

## ◆ device_

DeviceWkPtr_t hpp::core::steeringMethod::CarLike::device_
| protected

## ◆ rho_

value_type hpp::core::steeringMethod::CarLike::rho_
| protected

Turning radius.

## ◆ rz_

JointPtr_t hpp::core::steeringMethod::CarLike::rz_
| protected

## ◆ rzId_

size_type hpp::core::steeringMethod::CarLike::rzId_
| protected

## ◆ wheels_

std::vector<JointPtr_t> hpp::core::steeringMethod::CarLike::wheels_
| protected

## ◆ xy_

JointPtr_t hpp::core::steeringMethod::CarLike::xy_
| protected

## ◆ xyId_

size_type hpp::core::steeringMethod::CarLike::xyId_
| protected

The documentation for this class was generated from the following file:

- include/hpp/core/steering-method/car-like.hh